Package picard.fingerprint

## Class CrosscheckMetric

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.fingerprint.CrosscheckMetric

- Direct Known Subclasses:
    `ClusteredCrosscheckMetric`

      public class CrosscheckMetric
      extends htsjdk.samtools.metrics.MetricBase

  A class to hold the result of crosschecking fingerprints. The same metric will be used for crosschecking Readgroups, libraries, samples, or files.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CrosscheckMetric.DataType` |
    `static class` | `CrosscheckMetric.FingerprintResult` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CrosscheckMetric.DataType` | `DATA_TYPE` |
    `String` | `LEFT_FILE` |
    `String` | `LEFT_GROUP_VALUE` |
    `Integer` | `LEFT_LANE` |
    `String` | `LEFT_LIBRARY` |
    `String` | `LEFT_MOLECULAR_BARCODE_SEQUENCE` |
    `String` | `LEFT_RUN_BARCODE` |
    `String` | `LEFT_SAMPLE` |
    `Double` | `LOD_SCORE` |
    `Double` | `LOD_SCORE_NORMAL_TUMOR` |
    `Double` | `LOD_SCORE_TUMOR_NORMAL` |
    `CrosscheckMetric.FingerprintResult` | `RESULT` |
    `String` | `RIGHT_FILE` |
    `String` | `RIGHT_GROUP_VALUE` |
    `Integer` | `RIGHT_LANE` |
    `String` | `RIGHT_LIBRARY` |
    `String` | `RIGHT_MOLECULAR_BARCODE_SEQUENCE` |
    `String` | `RIGHT_RUN_BARCODE` |
    `String` | `RIGHT_SAMPLE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrosscheckMetric()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LEFT_GROUP_VALUE

          public String LEFT_GROUP_VALUE

    - #### RIGHT_GROUP_VALUE

          public String RIGHT_GROUP_VALUE

    - #### RESULT

          public CrosscheckMetric.FingerprintResult RESULT

    - #### DATA_TYPE

          public CrosscheckMetric.DataType DATA_TYPE

    - #### LOD_SCORE

          public Double LOD_SCORE

    - #### LOD_SCORE_TUMOR_NORMAL

          public Double LOD_SCORE_TUMOR_NORMAL

    - #### LOD_SCORE_NORMAL_TUMOR

          public Double LOD_SCORE_NORMAL_TUMOR

    - #### LEFT_RUN_BARCODE

          public String LEFT_RUN_BARCODE

    - #### LEFT_LANE

          public Integer LEFT_LANE

    - #### LEFT_MOLECULAR_BARCODE_SEQUENCE

          public String LEFT_MOLECULAR_BARCODE_SEQUENCE

    - #### LEFT_LIBRARY

          public String LEFT_LIBRARY

    - #### LEFT_SAMPLE

          public String LEFT_SAMPLE

    - #### LEFT_FILE

          public String LEFT_FILE

    - #### RIGHT_RUN_BARCODE

          public String RIGHT_RUN_BARCODE

    - #### RIGHT_LANE

          public Integer RIGHT_LANE

    - #### RIGHT_MOLECULAR_BARCODE_SEQUENCE

          public String RIGHT_MOLECULAR_BARCODE_SEQUENCE

    - #### RIGHT_LIBRARY

          public String RIGHT_LIBRARY

    - #### RIGHT_SAMPLE

          public String RIGHT_SAMPLE

    - #### RIGHT_FILE

          public String RIGHT_FILE

  - ### Constructor Detail

    - #### CrosscheckMetric

          public CrosscheckMetric()